commit:     4c4f4f9a71cb82308f15a9b1109998dbd10fbc93
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Tue Oct 27 07:41:08 2015 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Tue Oct 27 09:04:04 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4c4f4f9a

dev-python/billiard: Version Bump

Package-Manager: portage-2.2.23
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>

 dev-python/billiard/Manifest                 |  1 +
 dev-python/billiard/billiard-3.3.0.21.ebuild | 57 ++++++++++++++++++++++++++++
 2 files changed, 58 insertions(+)

diff --git a/dev-python/billiard/Manifest b/dev-python/billiard/Manifest
index e490208..9e7b8da 100644
--- a/dev-python/billiard/Manifest
+++ b/dev-python/billiard/Manifest
@@ -1,3 +1,4 @@
 DIST billiard-3.3.0.18.tar.gz 150594 SHA256 
59c04036f314c11632a49c15c57735ffb9e111983ee8d15e4d3e188be31583c1 SHA512 
8d62c1b5d3e979926cb416f6a85597cf2a959559e4f07f76f189e70cf585ef55ddbba9506bc50c2f9a88d8aa00684b7468668748edbd0530a72970334b8e2617
 WHIRLPOOL 
34ce61559529ca95fb9aed44917541546ce9955212954aa16b783f5ed22e36a3b7700edd46eb4961bf49b1653f9020aaf760ba67b1123b69e78e04af8e9c93fb
 DIST billiard-3.3.0.19.tar.gz 150943 SHA256 
6e6b8ec6e45b89389051737c7e6215d8e55a83896eb6212fa726ca76e80c7a19 SHA512 
492bbf38a7924394dd89f0528598e37ca1a93fc21bdccded396e036b2457c14a06e44de2c9b80d81e5f55bfd1559a6c5fbf1969d108089dc2b697aeaecea60ad
 WHIRLPOOL 
cb6e96a1b0c19c62ea07854e7520acb04fa716f79f499e00c24b46f0403ac80d1416fe9669d7e9e1c4955341b29d9215b2e9429d482a4ab34c710397c0fc5e2d
 DIST billiard-3.3.0.20.tar.gz 150990 SHA256 
688f9466b1c3ae14106381e6dbd328115e75c5260c542eb48e6c46931f6928cc SHA512 
e068be5e0bc8bc68a38dd1cec2574da25494cfac2d9b4b951af3fd9f019080a4fe402d4b407162bcc0edbd0ac4fa406a964913e4bf1dd98dbf8a937294a34321
 WHIRLPOOL 
41a2ae0648d7f960c569491d0dea519787e3ba779fa27e71c2dcf12e7955175cf3b9697ca750f4e164e263abd880af287f5645c0864115ef88bb0088d31b74c2
+DIST billiard-3.3.0.21.tar.gz 151141 SHA256 
9705f78f0a971b91a70b3b19aa7862401b6eb3b0bffc2a2e0702ed5eeaccdae9 SHA512 
29c3e0b78858dc4693a122360a23b8a0f4a40f542ef5451b1c26e8606623a40a586f2f5a99d04ff91dd2dcc34f084fa35d6ee80ca6efd98690517dd46c6ead8b
 WHIRLPOOL 
cf4e9476e0b7b18f62f945408f98d96820ee8837dd4838e9fd7c080784e66c5688fe1c05bc91927aeb57365f036ef60b200220958b1bcf14c57dc8723434b7e5

diff --git a/dev-python/billiard/billiard-3.3.0.21.ebuild 
b/dev-python/billiard/billiard-3.3.0.21.ebuild
new file mode 100644
index 0000000..7ad800d
--- /dev/null
+++ b/dev-python/billiard/billiard-3.3.0.21.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 python3_{3,4} pypy  pypy3 )
+
+inherit distutils-r1 flag-o-matic
+
+DESCRIPTION="Python multiprocessing fork"
+HOMEPAGE="https://pypi.python.org/pypi/billiard 
https://github.com/celery/billiard";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc test"
+
+RDEPEND=""
+DEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       test? (
+               >=dev-python/unittest2-0.4.0[${PYTHON_USEDEP}]
+               >=dev-python/nose-1.3.4[${PYTHON_USEDEP}]
+               dev-python/nose-cover3[${PYTHON_USEDEP}]
+               $(python_gen_cond_dep 'dev-python/mock[${PYTHON_USEDEP}]' 
python2_7 pypy pypy3 )
+       )"
+# The usual req'd for tests
+DISTUTILS_IN_SOURCE_BUILD=1
+
+python_compile() {
+       if !  python_is_python3; then
+               local CFLAGS=${CFLAGS}
+               append-cflags -fno-strict-aliasing
+       fi
+       distutils-r1_python_compile
+}
+
+python_compile_all() {
+       use doc && esetup.py build_sphinx --builder="html" --source-dir=Doc/
+}
+
+python_test() {
+       cd "${BUILD_DIR}" || die
+       # The teardown in __init__.py breaks pypy's installed nose
+       if [[ "${EPYTHON}" == pypy ]]; then
+               rm lib/billiard/tests/__init__.py || die
+               echo "from __future__ import absolute_import" >> 
./lib/billiard/tests/__init__.py || die
+       fi
+       nosetests billiard.tests || die "Tests fail with ${EPYTHON}"
+}
+
+python_install_all() {
+       use doc && local HTML_DOCS=( build/sphinx/html/. )
+       distutils-r1_python_install_all
+}

Reply via email to